View Issue Details

IDProjectCategoryView StatusLast Update
13747Bug reports[All Projects] Import/Exportpublic2019-04-30 09:10
ReportertrimbsAssigned Todominikvitt 
PriorityhighSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.14.x 
Summary13747: CSV Export of Survey Responses no longer valid CSV (Limesurvey v3.9)
Description

CSV Export of Survey Responses used to export with commas separating the values as you might expect for a "Comma Separated Value" file (in Limesurvey 2.72 for example). In Limesurvey v3.9 semi-colons separate the values and so the file is no longer a valid "Comma Separated Value".

Steps To Reproduce

Export Survey Responses as CSV for any survey in Limesurvey v3.9

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.9.0+180604
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.6
Server OS (if known)Linux
Webserver software & version (if known)Apache 2.4
PHP Version5.6

Activities

DenisChenu

DenisChenu

2018-06-08 09:05

developer   ~48028

Last edited: 2018-06-08 09:06

View 2 revisions

https://tools.ietf.org/html/rfc4180
And csv export are a lot used for automatic system, update this broke all automatic system : this need a major release.

And more : it's easy to create a new export system named CSV with semiccolupmn or put it at global option.

https://github.com/LimeSurvey/LimeSurvey/commit/7b9155850f99ee4be1c0e6af05e2c6310956dc98#diff-6d49976c22fb302b307d24cd95e4aa11

mikebb

mikebb

2018-08-26 11:30

reporter   ~48874

I'd like to bump this as a significant issue. Excel is a pain but changing the LS's csv delimiter for excel's internationalization makes a worse problem. Maybe a solution is to have an optional parameter in export_responses_by_token() and export_responses() where the delimiter can be set, or some other wrapper function called export_responses_excel() where that can be set, or just set a property before the call.
I don't know how to manage it for manual exports - maybe they are less important as will be followed by manual imports where the delimiter can be manually set (in excel or whatever)

DeveloperChris

DeveloperChris

2018-08-28 08:29

reporter   ~48882

Bump

CSV does not use semicolons by default. This change breaks exports for many people.

At the very least it should be an option on the export results to use whatever separator you want

guest

guest

2018-08-28 13:52

viewer   ~48895

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27862

guest

guest

2018-08-28 14:10

viewer   ~48896

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27864

DenisChenu

DenisChenu

2018-08-28 14:12

developer   ~48897

@dominikvitt : you missusage headCodeTextSeparator : https://github.com/LimeSurvey/LimeSurvey/blob/26d6a7732086a72b746e5796ff1731389ed13496/application/helpers/admin/export/FormattingOptions.php#L59 and https://github.com/LimeSurvey/LimeSurvey/blob/26d6a7732086a72b746e5796ff1731389ed13496/application/helpers/admin/export/Writer.php#L274

The only solution (with current core code) is to adding an new specific settings …

guest

guest

2018-08-28 15:10

viewer   ~48899

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27865

Related Changesets

LimeSurvey: master 1b507c76

2018-08-28 13:52:06

Dominik Vitt

Details Diff
Fixed issue 13747: CSV Export of Survey Responses no longer valid CSV Affected Issues
13747
mod - application/helpers/admin/export/CsvWriter.php Diff File
mod - application/views/admin/export/exportresult_panels/_headings.php Diff File

LimeSurvey: master e2c293ab

2018-08-28 13:52:06

Dominik Vitt

Details Diff
Revert "Fixed issue 13747: CSV Export of Survey Responses no longer valid CSV"

This reverts commit 1b507c76fa01077910e98c16bac792def94ed9e3.
Affected Issues
13747
mod - application/helpers/admin/export/CsvWriter.php Diff File
mod - application/views/admin/export/exportresult_panels/_headings.php Diff File

LimeSurvey: master 1e287e79

2018-08-28 15:10:09

Dominik Vitt

Details Diff
Fixed issue 13747: CSV Export of Survey Responses no longer valid CSV Affected Issues
13747
mod - application/controllers/admin/export.php Diff File
mod - application/helpers/admin/export/CsvWriter.php Diff File
mod - application/helpers/admin/export/FormattingOptions.php Diff File
mod - application/views/admin/export/exportresult_panels/_format.php Diff File
mod - application/views/admin/export/exportresults_view.php Diff File

Issue History

Date Modified Username Field Change
2018-06-07 19:04 trimbs New Issue
2018-06-08 09:05 DenisChenu Note Added: 48028
2018-06-08 09:06 DenisChenu Note Edited: 48028 View Revisions
2018-06-08 09:06 DenisChenu Assigned To => c_schmitz
2018-06-08 09:06 DenisChenu Status new => assigned
2018-06-08 09:06 DenisChenu Severity minor => major
2018-08-26 11:30 mikebb Note Added: 48874
2018-08-28 08:29 DeveloperChris Note Added: 48882
2018-08-28 10:43 LouisGac Assigned To c_schmitz => dominikvitt
2018-08-28 11:14 c_schmitz Priority none => high
2018-08-28 13:52 Changeset attached => LimeSurvey master 1b507c76
2018-08-28 13:52 guest Note Added: 48895
2018-08-28 13:52 guest Resolution open => fixed
2018-08-28 14:10 Changeset attached => LimeSurvey master e2c293ab
2018-08-28 14:10 guest Note Added: 48896
2018-08-28 14:12 DenisChenu Note Added: 48897
2018-08-28 15:10 Changeset attached => LimeSurvey master 1e287e79
2018-08-28 15:10 guest Note Added: 48899
2018-08-30 17:20 dominikvitt Status assigned => resolved
2018-08-30 17:20 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:10 c_schmitz Status resolved => closed